Bug 213771 - games/tome4: Update to 1.4.9
Summary: games/tome4: Update to 1.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL: http://te4.org/blogs/darkgod/2016/10/...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-25 15:59 UTC by Nikolai Lifanov
Modified: 2016-11-12 21:39 UTC (History)
1 user (show)

See Also:


Attachments
games/tome4: 1.4.8 -> 1.4.9 (1.74 KB, patch)
2016-10-25 15:59 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff
games/tome4: 1.4.8 -> 1.4.9 (1.85 KB, patch)
2016-11-12 13:05 UTC, Nikolai Lifanov
lifanov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2016-10-25 15:59:08 UTC
Created attachment 176148 [details]
games/tome4: 1.4.8 -> 1.4.9

Please update games/tome4 to 1.4.9. Changelog is in the URL field.
Comment 1 Nikolai Lifanov 2016-11-11 13:24:32 UTC
This should be compatible with bz #214411.
Comment 2 Matthew Seaman freebsd_committer 2016-11-11 20:30:14 UTC
I'll commit 214411 first, so I can MFH it, then I'll commit this update.
Comment 3 Matthew Seaman freebsd_committer 2016-11-11 21:47:55 UTC
There seems to be a size mis-match with the distfile:
```
lucid-nonsense:...ports/games/tome4:# make fetch
===>  License GPLv3+ accepted by the user
===>   tome4-1.4.9 depends on file: /usr/local/sbin/pkg - found
=> t-engine4-src-1.4.9.tar.bz2 doesn't seem to exist in /home/matthew/work/ports/distfiles/.
=> Attempting to fetch http://te4.org/dl/t-engine/t-engine4-src-1.4.9.tar.bz2
fetch: http://te4.org/dl/t-engine/t-engine4-src-1.4.9.tar.bz2: size mismatch: expected 354444641, actual 354444890
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/t-engine4-src-1.4.9.tar.bz2
fetch: http://distcache.FreeBSD.org/ports-distfiles/t-engine4-src-1.4.9.tar.bz2: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /home/matthew/work/ports/distfiles/ and try again.
*** Error code 1

Stop.
make: stopped in /home/matthew/work/ports/games/tome4
```
Comment 4 Nikolai Lifanov 2016-11-12 13:04:39 UTC
The distfile must have been rerolled since I first submitted it. I don't see any changes in the new tarball. Please see the attached patch rerolled with new distinfo and after aarch64 fix. This also removes the stray LUA_TYPE line which crept up as I was playing with a different approach to specifying whether to use luajit2 or the portable lua.
Comment 5 Nikolai Lifanov 2016-11-12 13:05:12 UTC
Created attachment 176915 [details]
games/tome4: 1.4.8 -> 1.4.9
Comment 6 commit-hook freebsd_committer 2016-11-12 21:38:06 UTC
A commit references this bug:

Author: matthew
Date: Sat Nov 12 21:37:27 UTC 2016
New revision: 425995
URL: https://svnweb.freebsd.org/changeset/ports/425995

Log:
  Update to 1.4.9

  PR:		213771
  Submitted by:	lifanov@mail.lifanov.com (maintainer)

Changes:
  head/games/tome4/Makefile
  head/games/tome4/distinfo
  head/games/tome4/files/patch-src_physfs.c
Comment 7 Matthew Seaman freebsd_committer 2016-11-12 21:39:35 UTC
Committed, thanks!